#!/bin/sh

if ! command -v vala-dbus-binding-tool >/dev/null 2>&1; then
    echo "Error: vala-dbus-binding-tool not found. Please install it first."
    echo "https://github.com/freesmartphone/vala-dbus-binding-tool"
    exit 1
fi

vala-dbus-binding-tool --no-synced --strip-namespace=net --strip-namespace=buzzert --rename-namespace=kordophone:DBusService --api-path=xml/ 

